<?php

/**
 * Description of Dashboard
 *
 * @author Softpro India Pvt. Ltd
 */
class Dashboard extends CI_Controller {

    //put your code here
    public function __construct() {
        parent::__construct();
        $this->load->model("admin/SessionManagement");
        $this->load->model("admin/DashboardManagement");
        $this->load->model("admin/CourseManagement");
    }

    public function index() {
        if ($this->sessionvalidator->validateSession()) {
            $viewData["sessions"] = $this->SessionManagement->getSessions('T', 'F', 'ASC')->result();
            $viewData["selectedSessionId"] = 0;
            $current_session_id = $this->SessionManagement->getCurrentSessionDetails()->result()[0]->session_id;
            $viewData["courses"] = sizeof($this->CourseManagement->getCoursesBySessionAndFormFee('', '', $current_session_id)->result());
            $viewData["incompleteApplications"] = $this->DashboardManagement->getTotalIncompleteApplications($current_session_id)->result()[0]->incomplete_applications;
            $viewData["completeApplications"] = $this->DashboardManagement->getTotalCompleteApplications($current_session_id)->result()[0]->complete_applications;
            $viewData["enquiries"] = $this->DashboardManagement->getEnquiriesUsingSession($current_session_id)->result()[0]->enquiries;
            $viewData["courseWiseApplication"] = $this->DashboardManagement->getCourseWiseApplications($current_session_id);
            $viewData["applicationByStatus"] = $this->DashboardManagement->getApplicationsByStatus($current_session_id);
            $viewData["courseWiseEnquiries"] = $this->DashboardManagement->getCourseWiseEnquiries($current_session_id);

            $this->load->view("admin/dashboard", $viewData);
        } else {
            redirect("admin");
        }
    }

    public function differentSession() {
        if ($this->sessionvalidator->validateSession()) {
            $selectedSession = $this->input->post('session');
            $viewData["sessions"] = $this->SessionManagement->getSessions('T', 'F', 'ASC')->result();
            $viewData["selectedSessionId"] = $selectedSession;
            $viewData["courses"] = sizeof($this->CourseManagement->getCoursesBySessionAndFormFee('', '', $selectedSession)->result());
            $viewData["incompleteApplications"] = $this->DashboardManagement->getTotalIncompleteApplications($selectedSession)->result()[0]->incomplete_applications;
            $viewData["completeApplications"] = $this->DashboardManagement->getTotalCompleteApplications($selectedSession)->result()[0]->complete_applications;
            $viewData["enquiries"] = $this->DashboardManagement->getEnquiriesUsingSession($selectedSession)->result()[0]->enquiries;
            $viewData["courseWiseApplication"] = $this->DashboardManagement->getCourseWiseApplications($selectedSession);
            $viewData["applicationByStatus"] = $this->DashboardManagement->getApplicationsByStatus($selectedSession);
            $viewData["courseWiseEnquiries"] = $this->DashboardManagement->getCourseWiseEnquiries($selectedSession);
            $this->load->view("admin/dashboard", $viewData);
        } else {
            redirect("admin");
        }
    }

}
