<!doctype html>
<html lang="en" id="html">
    <head id="head">
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Admission Form Acknowledgement :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel='stylesheet' type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script>  
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <?php $this->load->view("admin/navAndHeader"); ?>
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Report/admissionReport"); ?>">Reports</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo current_url(); ?>">Fee Acknowledgement</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card col-lg-12  " id="appPrint">
                        <div class="card-header text-center">
                            <a href="#"><img src="<?php echo base_url("assets/images/logo.png"); ?>" alt="" width="100" class="img-responsive mt-3"></a>
                            <h1> <a href="#"><?php echo $this->session->userdata("branchData")["branch_short_name"]; ?></a></h1>  
                        </div>
                        <?php if (validation_errors() != false) { ?>
                            <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                        <?php } ?>
                        <?php if ($this->session->flashdata('successMessage')) { ?>
                            <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                        <?php } ?>
                        <?php if ($this->session->flashdata('errorMessage')) { ?>
                            <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                        <?php } ?>
                        <div class="card-body">
                            <table class="table table-bordered">
                                <tr>
                                    <td colspan="2" style="text-align: center;"><b>COURSE APPLIED FOR : &nbsp; <?php echo $feeDetails[0]->course_name; ?></b> </td>
                                </tr>
                                <tr>
                                    <th>ACKNOWLEDGEMENT NUMBER</th>
                                    <td><?php echo $feeDetails[0]->tspi_id; ?></td>
                                </tr>
                                <tr>
                                    <th>FORM NUMBER</th>
                                    <td><?php echo $feeDetails[0]->tspi_form_no; ?></td>
                                </tr>
                                <tr>
                                    <th>GATEWAY TRANSACTION ID</th>
                                    <td><?php echo $feeDetails[0]->gateway_txnid; ?></td>
                                </tr>
                                <tr>
                                    <th>BANK REFERENCE NO</th>
                                    <td><?php echo $feeDetails[0]->bank_ref_no; ?></td>
                                </tr>
                                <tr>
                                    <th>DATE OF TRANSACTION</th>
                                    <td><?php echo $feeDetails[0]->tdate; ?></td>
                                </tr>
                                <tr>
                                    <th>AMOUNT</th>
                                    <td><?php echo $feeDetails[0]->fee . "/-"; ?></td>
                                </tr>
                                <tr>
                                    <th>TRANSACTION TYPE</th>
                                    <td><?php if ($feeDetails[0]->tran_details == "ADMISSION") echo "ONLINE ADMISSION FORM FEE"; ?></td>
                                </tr>
                                <tr>
                                    <th>MODE OF PAYMENT</th>
                                    <td>NET BANKING/ DEBIT CARD/ CREDIT CARD</td>
                                </tr>
                            </table>
                            <hr class="mt-4" style="border-top: 1px solid black;">
                            <h5 style="text-align: center">Address For Correspondence :</h5>
                            <hr style="border-top: 1px solid black;">
                            <div class="form-row mt-3">
                                <div class="col-sm-12">
                                    <p style="font-weight: bold; text-align: center">
                                        <?php echo $this->session->userdata("branchData")["branch_name"]; ?><br>
                                        <i class="fa fa-phone"></i> &nbsp;Phone No:-<?php echo $this->session->userdata("branchData")["branch_tel"] . "-" . $this->session->userdata("branchData")["branch_mobile"]; ?><br>
                                        <i class="fa fa-envelope"></i>&nbsp;<?php echo $this->session->userdata("branchData")["branch_email"]; ?><br>
                                        <i class="fa fa-globe"></i> &nbsp; <?php echo $this->session->userdata("branchData")["branch_website"]; ?>
                                    </p>
                                </div>
                            </div>
                            <hr style="border-top: 1px solid black;">
                        </div>
                    </div>
                    <div class="form-row mt-3 ">
                        <div class="text-center col-sm-12">
                            <button class="btn btn-primary" onclick="printDiv()" id="print">Print</button>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div> 
        <?php $this->load->view("admin/footer"); ?>
        <script>
            function printDiv()
            {
                var divToPrint = document.getElementById('appPrint');
                var head = document.getElementById('head');
                var newWin = window.open('', 'Print-Window');
                newWin.document.open();
                newWin.document.write('<html>' + head.innerHTML + '<body onload="window.print()">' + divToPrint.innerHTML + '</body></html>');
                newWin.document.close();
                setTimeout(function () {
                    newWin.close();
                }, 10);
            }
        </script>
        <script>
            $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataManagement").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("payment").classList.remove("active");
                document.getElementById("upload").classList.remove("active");
                document.getElementById("reports").classList.add("active");
            });
        </script>
    </body>
</html>


