
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Upload Instructions :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>

        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Instruction/uploadInstructions"); ?>">Upload Admission Instructions</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i>Upload Admission Instructions<span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Instruction/saveInstructionsFile'), ['name' => 'instructionFrm', 'id' => 'instructionFrm']); ?>
                                <fieldset>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="insFile" class="input__label required">Select Instruction File</label>
                                            <input type="file" class="form-control input-style" id="insFile" name="insFile" value="<?php echo set_value('insFile'); ?>">
                                            <small id="officeInfoInstruction" class="form-text text-muted">Allowed Extensions:*.pdf. Max. File Size: 1MB.</small>
                                        </div>

                                        <?php
                                        if (file_exists("./assets/uploads/instructions.pdf")) {
                                            ?>
                                            <a href="<?php echo base_url("assets/uploads/instructions.pdf"); ?>" target="_blank" class="pull-right"><h6>Click To See Uploaded Instructions PDF</h6></a> 
                                            <?php
                                        }
                                        ?>

                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Upload</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
        <script>
            $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataManagement").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("payment").classList.remove("active");
                document.getElementById("upload").classList.remove("active");
                document.getElementById("upload").classList.add("active");
            });
        </script>
    </body>
</html>