<!doctype html>
<html lang="en" id="html">
    <head id="head">
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Admission Form Acknowledgement :: <?php if (sizeof($branch)) echo $branch[0]->branch_short_name; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel='stylesheet' type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script>  
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <section class="data-tables">
                    <div class="card card_border p-5">

                        <div class="card col-lg-10 offset-lg-1" id="appPrint">
                            <div class="card-header text-center">
                                <a href="#"><img src="<?php echo base_url("assets/images/logo.png"); ?>" alt="" width="100" class="img-responsive mt-3"></a>
                                <h1> <a href="#"><?php if (sizeof($branch)) echo $branch[0]->branch_short_name; ?></a></h1>  
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="card-body">
                                <table class="table table-bordered">
                                    <tr>
                                        <td colspan="2" style="text-align: center;"><b>COURSE APPLIED FOR : &nbsp; <?php echo $feeDetails[0]->course_name; ?></b> </td>
                                    </tr>
                                    <tr>
                                        <th>ACKNOWLEDGEMENT NUMBER</th>
                                        <td><?php echo $feeDetails[0]->tspi_id; ?></td>
                                    </tr>
                                    <tr>
                                        <th>FORM NUMBER</th>
                                        <td><?php echo $feeDetails[0]->tspi_form_no; ?></td>
                                    </tr>
                                    <tr>
                                        <th>GATEWAY TRANSACTION ID</th>
                                        <td><?php echo $feeDetails[0]->gateway_txnid; ?></td>
                                    </tr>
                                    <tr>
                                        <th>BANK REFERENCE NO</th>
                                        <td><?php echo $feeDetails[0]->bank_ref_no; ?></td>
                                    </tr>
                                    <tr>
                                        <th>DATE OF TRANSACTION</th>
                                        <td><?php echo $feeDetails[0]->tdate; ?></td>
                                    </tr>
                                    <tr>
                                        <th>AMOUNT</th>
                                        <td><?php echo $feeDetails[0]->fee . "/-"; ?></td>
                                    </tr>
                                    <tr>
                                        <th>TRANSACTION TYPE</th>
                                        <td><?php if ($feeDetails[0]->tran_details == "ADMISSION") echo "ONLINE ADMISSION FORM FEE"; ?></td>
                                    </tr>
                                    <tr>
                                        <th>MODE OF PAYMENT</th>
                                        <td>NET BANKING/ DEBIT CARD/ CREDIT CARD</td>
                                    </tr>
                                </table>
                                <hr class="mt-4" style="border-top: 1px solid black;">
                                <h5 style="text-align: center">Address For Correspondence :</h5>
                                <hr style="border-top: 1px solid black;">
                                <div class="form-row mt-3">
                                    <div class="col-sm-12">
                                        <p style="font-weight: bold; text-align: center">
                                            <?php echo $branch[0]->branch_name; ?><br>
                                            <i class="fa fa-phone"></i> &nbsp;Phone No:-<?php echo $branch[0]->branch_tel_no . "-" . $branch[0]->branch_mobile_no; ?><br>
                                            <i class="fa fa-envelope"></i>&nbsp;<?php echo $branch[0]->branch_email; ?><br>
                                            <i class="fa fa-globe"></i> &nbsp; <?php echo $branch[0]->branch_website_url; ?>
                                        </p>
                                    </div>
                                </div>
                                <hr style="border-top: 1px solid black;">
                            </div>
                        </div>
                        <div class="form-row mt-3 ">
                            <div class="text-center col-sm-12">

                                <button class="btn btn-primary" onclick="printDiv()" id="print">Print</button>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div> 
        <?php $this->load->view("admin/footer"); ?>
        <script>
            function printDiv()
            {
                var divToPrint = document.getElementById('appPrint');
                var head = document.getElementById('head');
                var newWin = window.open('', 'Print-Window');
                newWin.document.open();
                newWin.document.write('<html>' + head.innerHTML + '<body onload="window.print()">' + divToPrint.innerHTML + '</body></html>');
                newWin.document.close();
                setTimeout(function () {
                    newWin.close();
                }, 10);
            }
        </script>
    </body>
</html>


